#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    char c; long n,m,i;
    scanf("%ld%ld",&n,&m);
    for(i=1;i<=n*m;i++) {
        c=getchar();
        if(c=='\n') {
            i--;
        }
    }
    printf("-1");
    return 0;
}